package com.cmvr.aima.service.impl;

import java.util.List;
import java.util.UUID;
import com.baomidou.mybatisplus.spring.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.cmvr.common.utils.DateUtils;
import com.cmvr.common.utils.SecurityUtils;
import com.cmvr.aima.mapper.AimaPhoneMapper;
import com.cmvr.aima.domain.AimaPhone;
import com.cmvr.aima.service.IAimaPhoneService;
import org.springframework.transaction.annotation.Transactional;

/**
 * 爱玛手机管理Service业务层处理
 * 
 * @author cmvr-iot
 * @since 2026-06-22
 */
@Service
@Transactional
public class AimaPhoneServiceImpl extends ServiceImpl<AimaPhoneMapper, AimaPhone> implements IAimaPhoneService {
    @Autowired
    private AimaPhoneMapper aimaPhoneMapper;

    /**
     * 查询爱玛手机管理
     * 
     * @param id 爱玛手机管理主键
     * @return 爱玛手机管理
     */
    @Override
    public AimaPhone selectAimaPhoneById(String id) {
        return aimaPhoneMapper.selectAimaPhoneById(id);
    }

    /**
     * 查询爱玛手机管理列表
     * 
     * @param aimaPhone 爱玛手机管理
     * @return 爱玛手机管理
     */
    @Override
    public List<AimaPhone> selectAimaPhoneList(AimaPhone aimaPhone) {
        return aimaPhoneMapper.selectAimaPhoneList(aimaPhone);
    }

    /**
     * 新增爱玛手机管理
     * 
     * @param aimaPhone 爱玛手机管理
     * @return 结果
     */
    @Override
    public int insertAimaPhone(AimaPhone aimaPhone) {
        // 生成UUID作为主键
        if (aimaPhone.getId() == null || aimaPhone.getId().isEmpty()) {
            aimaPhone.setId(UUID.randomUUID().toString().replace("-", ""));
        }
        aimaPhone.setCreateTime(DateUtils.getNowDate());
        aimaPhone.setCreateBy(SecurityUtils.getUsername());
        return aimaPhoneMapper.insertAimaPhone(aimaPhone);
    }

    /**
     * 修改爱玛手机管理
     * 
     * @param aimaPhone 爱玛手机管理
     * @return 结果
     */
    @Override
    public int updateAimaPhone(AimaPhone aimaPhone) {
        aimaPhone.setUpdateTime(DateUtils.getNowDate());
        aimaPhone.setUpdateBy(SecurityUtils.getUsername());
        return aimaPhoneMapper.updateAimaPhone(aimaPhone);
    }

    /**
     * 批量删除爱玛手机管理
     * 
     * @param ids 需要删除的爱玛手机管理主键
     * @return 结果
     */
    @Override
    public int deleteAimaPhoneByIds(String[] ids) {
        return aimaPhoneMapper.deleteAimaPhoneByIds(ids);
    }

    /**
     * 删除爱玛手机管理信息
     * 
     * @param id 爱玛手机管理主键
     * @return 结果
     */
    @Override
    public int deleteAimaPhoneById(String id) {
        return aimaPhoneMapper.deleteAimaPhoneById(id);
    }
}
